Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.getcapabilities
Class Service

    java.lang.Object
      org.deegree.ogcbase.DescriptionBase
          org.deegree.ogcbase.Description
              org.deegree.ogcwebservices.getcapabilities.Service

All Implemented Interfaces:
  Serializable, Cloneable

    public class Service

extends Description

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`Service(String name, String label, CodeList fees, CodeList[] accessConstraints)`
`Service(String description, String name, MetadataLink metadataLink, String label, Keywords[] keywords, CitedResponsibleParty citedResponsibleParty, CodeList fees, CodeList[] accessConstraints, String version, String updateSequence)`
`Service(String name, String label, String description, CitedResponsibleParty citedResponsibleParty, CodeList fees, CodeList[] accessConstraints)`

Method Summary
`CodeList[]` | `getAccessConstraints()`
`CitedResponsibleParty` | `getCitedResponsibleParty()`
`CodeList` | `getFees()`
`Keywords[]` | `getKeywords()`
`String` | `getUpdateSequence()`
`String` | `getVersion()`
`void` | `setAccessConstraints(CodeList[] accessConstraints)`
`void` | `setCitedResponsibleParty(CitedResponsibleParty citedResponsibleParty)`
`void` | `setFees(CodeList fees)`
`void` | `setKeywords(Keywords[] keywords)`
`void` | `setUpdateSequence(String updateSequence)`
`void` | `setVersion(String version)`

Methods inherited from class org.deegree.ogcbase.Description
`clone, getLabel, setLabel`

Methods inherited from class org.deegree.ogcbase.DescriptionBase
`getDescription, getMetadataLink, getName, setDescription, setMetadataLink, setName`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Service

    public Service(String name,
                   String label,
                   CodeList fees,
                   CodeList[] accessConstraints)
            throws OGCException,
                   OGCWebServiceException

Parameters:
  `name` -
  `label` -
  `fees` -
  `accessConstraints` -
Throws:
  `OGCException`
  `OGCWebServiceException`

### Service

    public Service(String name,
                   String label,
                   String description,
                   CitedResponsibleParty citedResponsibleParty,
                   CodeList fees,
                   CodeList[] accessConstraints)
            throws OGCException,
                   OGCWebServiceException

Parameters:
  `name` -
  `label` -
  `description` -
  `citedResponsibleParty` -
  `fees` -
  `accessConstraints` -
Throws:
  `OGCException`
  `OGCWebServiceException`

### Service

    public Service(String description,
                   String name,
                   MetadataLink metadataLink,
                   String label,
                   Keywords[] keywords,
                   CitedResponsibleParty citedResponsibleParty,
                   CodeList fees,
                   CodeList[] accessConstraints,
                   String version,
                   String updateSequence)
            throws OGCException,
                   OGCWebServiceException

Parameters:
  `description` -
  `name` -
  `metadataLink` -
  `label` -
  `keywords` -
  `citedResponsibleParty` -
  `fees` -
  `accessConstraints` -
  `version` -
  `updateSequence` -
Throws:
  `OGCException`
  `OGCWebServiceException`

Method Detail

### getAccessConstraints

    public CodeList[] getAccessConstraints()

  Returns:
    Returns the accessConstraints.

### setAccessConstraints

    public void setAccessConstraints(CodeList[] accessConstraints)

  Parameters:
    `accessConstraints` - The accessConstraints to set.

### getCitedResponsibleParty

    public CitedResponsibleParty getCitedResponsibleParty()

  Returns:
    Returns the citedResponsibleParty.

### setCitedResponsibleParty

    public void setCitedResponsibleParty(CitedResponsibleParty citedResponsibleParty)

  Parameters:
    `citedResponsibleParty` - The citedResponsibleParty to set.

### getFees

    public CodeList getFees()

  Returns:
    Returns the fees.

### setFees

    public void setFees(CodeList fees)
                 throws OGCWebServiceException

  Parameters:
    `fees` - The fees to set.
  Throws:
    `OGCWebServiceException`

### getKeywords

    public Keywords[] getKeywords()

  Returns:
    Returns the keywords.

### setKeywords

    public void setKeywords(Keywords[] keywords)

  Parameters:
    `keywords` - The keywords to set.

### getUpdateSequence

    public String getUpdateSequence()

  Returns:
    Returns the updateSequence.

### setUpdateSequence

    public void setUpdateSequence(String updateSequence)

  Parameters:
    `updateSequence` - The updateSequence to set.

### getVersion

    public String getVersion()

  Returns:
    Returns the version.

### setVersion

    public void setVersion(String version)

  Parameters:
    `version` - The version to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org